Subject: Re: [TLS] Early code point assignments for 25519/448 curves

From: Sean Turner <[email-masked]>
Date: Thu, 10 Dec 2015 09:47:24 -0500

All,

The CFRG is currently conducting a quaker poll about filling in two missing functions for the 448 so we’re going follow the suggestion from ekr/ilari to wait until they’re done.  If you care to chime in on the poll it can be found here: https://mailarchive.ietf.org/arch/msg/cfrg/XxJ9PwL6GjEq6necM83Hr8JoIw0

spt

> On Nov 23, 2015, at 17:01, Eric Rescorla <[email-masked]> wrote:
> 
> if it's only a few weeks, let's just do all the signature code points
> then.
> 
> -Ekr
> 
> 
> On Mon, Nov 23, 2015 at 1:38 PM, Stephen Farrell <[email-masked]> wrote:
> 
> Hiya,
> 
> On 23/11/15 14:21, Sean Turner wrote:
> > All,
> >
> > We’ve received an early code point assignment for the following 4
> 
> Is the word "request" missing above? Either that or I'm forgetting
> more than I suspected:-)
> 
> > (four) elliptic curve points that will go in the "Supported Groups"
> > Registry:
> >
> > // ECDH functions. ecdh_x25519 ecdh_x448
> >
> > // Signature curves. eddsa_ed25519 eddsa_ed448
> 
> I think 3 of the above are clearly fine now.
> 
> I'd suggest holding off on eddsa_ed448 for a while until CFRG
> are done, but maybe establishing now that there is consensus in
> the WG to allocate that as soon as CFRG are done (where "done"
> means folks can implement and interop, not that the RFCs are
> issued).
> 
> AFAIK the state of play within CFRG on that is that the chairs
> plan to do a few polls for the couple of remaining issues in
> a few weeks, so we're not talking about a major delay and to
> be fair, CFRG recently have delivered more or less when they
> said they would.
> 
> My reason to suggest this is just in case CFRG discover some
> last minute stuff. While burning a code-point for that wouldn't
> be a problem, we'd be better off without the confusion.
> 
> But if (the chairs tell me) there's clear consensus for some
> other action here, I'll consider myself in the rough and go with
> that.
> 
> Cheers,
> S.
> 
> 
> >
> > These points will be included in the following 2 (two) drafts:
> > draft-ietf-tls-tls13 draft-ietf-tls-rfc4492bis.
> >
> > Early code points are permitted in the “Supported Groups” registry
> > and the chairs (that’s us) need to determine whether there is support
> > for these assignments.  Some input has already been received and
> > those people do not need to respond again to this call, but we’d like
> > to hear from others whether they support early code point assignment
> > for these curves.  If you do not please state why.  We’re looking for
> > input by November 30th.
> >
> > J&S _______________________________________________ TLS mailing list
> > [email-masked] https://www.ietf.org/mailman/listinfo/tls
> >
> 
> _______________________________________________
> TLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tls
>